# Function RxapRemoteMethod

- RxapRemoteMethod<
  MetaData extends BaseDefinitionMetadata = BaseDefinitionMetadata,
  >(
  metadataOrId: string | MetaData,
  className?: string,
  packageName?: string,
  ): (target: any) => void

  #### Type Parameters

  - MetaData extends BaseDefinitionMetadata = BaseDefinitionMetadata

  #### Parameters

  - metadataOrId: string | MetaData
  - className: string = 'BaseRemoteMethod'
  - packageName: string = '@rxap/remote-method'

  #### Returns (target: any) => void

  - Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:29